Debian Bug report logs - #627983
ITP: bmake -- Portable version of NetBSD's make

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jeroen Schot <schot@A-Eskwadraat.nl>

Date: Thu, 26 May 2011 07:45:02 UTC

Owned by: Andrew Shadura <andrewsh@debian.org>

Severity: wishlist

Fixed in version bmake/20130904-1

Done: Andrew Shadura <andrewsh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#627983; Package wnpp. (Thu, 26 May 2011 07:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeroen Schot <schot@A-Eskwadraat.nl>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 26 May 2011 07:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen Schot <schot@A-Eskwadraat.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: bmake -- Portable version of NetBSD's make
Date: Thu, 26 May 2011 09:29:44 +0200
Package: wnpp
Severity: wishlist
Owner: Jeroen Schot <schot@A-Eskwadraat.nl>

* Package name    : bmake
  Version         : 20110505
  Upstream Author : Simon J. Gerraty <sjg@crufty.net> 
* URL             : http://www.crufty.net/help/sjg/bmake.html
* License         : BSD
  Programming Lang: C
  Description     : Portable version of NetBSD's make

This is a portable version of the make from NetBSD. The bmake program
aids automatic building and installing of software with the help
Makefiles.


Note: Debian already contains pmake, also derived from NetBSD's make.
But pmake is a manual sync from NetBSD and thus difficult to maintain
(and as a consequence outdated). Bmake has a active upstream.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jeroen Schot <schot@A-Eskwadraat.nl>:
Bug#627983; Package wnpp. (Thu, 26 May 2011 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andrew O. Shadoura" <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jeroen Schot <schot@A-Eskwadraat.nl>. (Thu, 26 May 2011 09:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 627983@bugs.debian.org (full text, mbox):

From: "Andrew O. Shadoura" <bugzilla@tut.by>
To: debian-devel@lists.debian.org
Cc: Jeroen Schot <schot@A-Eskwadraat.nl>, 627983@bugs.debian.org
Subject: Re: Bug#627983: ITP: bmake -- Portable version of NetBSD's make
Date: Thu, 26 May 2011 11:58:49 +0300
[Message part 1 (text/plain, inline)]
Hello,

On Thu, 26 May 2011 09:29:44 +0200
Jeroen Schot <schot@A-Eskwadraat.nl> wrote:

> * Package name    : bmake
>   Version         : 20110505
>   Upstream Author : Simon J. Gerraty <sjg@crufty.net> 
> * URL             : http://www.crufty.net/help/sjg/bmake.html
> * License         : BSD
>   Programming Lang: C
>   Description     : Portable version of NetBSD's make

> This is a portable version of the make from NetBSD. The bmake program
> aids automatic building and installing of software with the help
> Makefiles.

> Note: Debian already contains pmake, also derived from NetBSD's make.
> But pmake is a manual sync from NetBSD and thus difficult to maintain
> (and as a consequence outdated). Bmake has a active upstream.

Alexey Cheusov and me are already working on creation of the package
for bmake, so you can join our team instead of doing this on your own.

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#627983; Package wnpp. (Thu, 26 May 2011 09:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeroen Schot <schot@A-Eskwadraat.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 26 May 2011 09:27:05 GMT) Full text and rfc822 format available.

Message #15 received at 627983@bugs.debian.org (full text, mbox):

From: Jeroen Schot <schot@A-Eskwadraat.nl>
To: "Andrew O. Shadoura" <bugzilla@tut.by>
Cc: debian-devel@lists.debian.org, 627983@bugs.debian.org
Subject: Re: Bug#627983: ITP: bmake -- Portable version of NetBSD's make
Date: Thu, 26 May 2011 11:09:27 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Thu, May 26, 2011 at 11:58:49AM +0300, Andrew O. Shadoura wrote:
> Alexey Cheusov and me are already working on creation of the package
> for bmake, so you can join our team instead of doing this on your own.

Good to hear. I've already had contact with Alexey. I'm more than
happy to work together on this. Any resources (Alioth project, VCS
repo) I can check? 

Regards,
-- 
Jeroen Schot
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jeroen Schot <schot@A-Eskwadraat.nl>:
Bug#627983; Package wnpp. (Thu, 26 May 2011 09:45:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andrew O. Shadoura" <bugzilla@tut.by> (by way of Andrew O. Shadoura <bugzilla@tut.by>):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jeroen Schot <schot@A-Eskwadraat.nl>. (Thu, 26 May 2011 09:45:46 GMT) Full text and rfc822 format available.

Message #20 received at 627983@bugs.debian.org (full text, mbox):

From: "Andrew O. Shadoura" <bugzilla@tut.by> (by way of Andrew O. Shadoura <bugzilla@tut.by>)
To: Jeroen Schot <schot@A-Eskwadraat.nl>
Subject: Re: Bug#627983: ITP: bmake -- Portable version of NetBSD's make
Date: Thu, 26 May 2011 12:39:26 +0300
[Message part 1 (text/plain, inline)]
Hello,

On Thu, 26 May 2011 11:09:27 +0200
Jeroen Schot <schot@A-Eskwadraat.nl> wrote:

> > Alexey Cheusov and me are already working on creation of the package
> > for bmake, so you can join our team instead of doing this on your
> > own.

> Good to hear. I've already had contact with Alexey. I'm more than
> happy to work together on this. Any resources (Alioth project, VCS
> repo) I can check? 

First of all,
http://mova.org/~cheusov/pub/debian/dists/lenny/main/source/

Here are the original packages by Alexey. They have some problems, they
aren't really policy-compliant and so on. I did some work on some of
them, mostly bmake. I keep it versioned in Mercurial repository here:
  http://anonscm.debian.org/hg/collab-maint/bmake/
  http://anonscm.debian.org/hg/collab-maint/pkgsrc-mk-files/ (not much
here yet).

(After Alioth migration, hgweb isn't operational yet, but cloning via
http works, however.)

Last Friday, he had a discussion with Alexey and decided that we will
do the packaging work on these and other packages together as soon as
he gets an Alioth account.

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jeroen Schot <schot@A-Eskwadraat.nl>:
Bug#627983; Package wnpp. (Sat, 28 May 2011 03:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jeroen Schot <schot@A-Eskwadraat.nl>. (Sat, 28 May 2011 03:45:03 GMT) Full text and rfc822 format available.

Message #25 received at 627983@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Jeroen Schot <schot@A-Eskwadraat.nl>, 627983@bugs.debian.org
Cc: Sam Hocevar <sho@debian.org>, debian-devel@lists.debian.org
Subject: Re: Bug#627983: ITP: bmake -- Portable version of NetBSD's make
Date: Sat, 28 May 2011 05:41:52 +0200
Hi!

On Thu, 2011-05-26 at 09:29:44 +0200, Jeroen Schot wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Jeroen Schot <schot@A-Eskwadraat.nl>
> 
> * Package name    : bmake
>   Version         : 20110505
>   Upstream Author : Simon J. Gerraty <sjg@crufty.net> 
> * URL             : http://www.crufty.net/help/sjg/bmake.html
> * License         : BSD
>   Programming Lang: C
>   Description     : Portable version of NetBSD's make
> 
> This is a portable version of the make from NetBSD. The bmake program
> aids automatic building and installing of software with the help
> Makefiles.

> Note: Debian already contains pmake, also derived from NetBSD's make.

There's also FreeBSD's pmake as freebsd-make in the freebsd-buildutils
package.

> But pmake is a manual sync from NetBSD and thus difficult to maintain
> (and as a consequence outdated).

bmake also seems to be synced from NetBSD from time to time. And as
stated on its web page it seems to be just a portability fork of
NetBSD's pmake, so it might make more sense to ask the Debian pmake
maintainer (CCed) if he is interested in switching to that version
instead of uploading yet another pmake implementation?

> Bmake has a active upstream.

Well the pmake Debian package has the same upstream as bmake, so that
by itself does not seem to be an advantage over the others. :)

regards,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#627983; Package wnpp. (Mon, 30 May 2011 07:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeroen Schot <schot@A-Eskwadraat.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 30 May 2011 07:45:06 GMT) Full text and rfc822 format available.

Message #30 received at 627983@bugs.debian.org (full text, mbox):

From: Jeroen Schot <schot@A-Eskwadraat.nl>
To: 627983@bugs.debian.org, Sam Hocevar <sho@debian.org>, debian-devel@lists.debian.org
Subject: Re: Bug#627983: ITP: bmake -- Portable version of NetBSD's make
Date: Mon, 30 May 2011 09:29:35 +0200
[Message part 1 (text/plain, inline)]
Hello,

On Sat, May 28, 2011 at 05:41:52AM +0200, Guillem Jover wrote:
> > Note: Debian already contains pmake, also derived from NetBSD's make.
> 
> There's also FreeBSD's pmake as freebsd-make in the freebsd-buildutils
> package.

Yes, but after 15+ years these two have diverged. There is software
that needs bmake to build, and doesn't work with freebsd-make or
Debian's older pmake.
 
> > But pmake is a manual sync from NetBSD and thus difficult to maintain
> > (and as a consequence outdated).
> 
> bmake also seems to be synced from NetBSD from time to time. And as
> stated on its web page it seems to be just a portability fork of
> NetBSD's pmake, so it might make more sense to ask the Debian pmake
> maintainer (CCed) if he is interested in switching to that version
> instead of uploading yet another pmake implementation?

Yes, synced by a upstream that does the portability stuff for us (and
has been doing this actively for the last 10+ years). The Debian pmake
maintainer has been notified about bmake (see #476267 and #605623)
some time ago and didn't respond. But I confess I have not contacted
him personally and am interested in his opinion about this.

> > Bmake has a active upstream.
> 
> Well the pmake Debian package has the same upstream as bmake, so that
> by itself does not seem to be an advantage over the others. :)

I disagree: bmake has the same up(up)stream as pmake, but pmake has a
different upstream than bmake :)

Regards,
-- 
Jeroen Schot
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 627983 blocks 575717 Request was from Jeroen Schot <schot@A-Eskwadraat.nl> to control@bugs.debian.org. (Fri, 10 Aug 2012 09:39:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: bmake -- Portable version of NetBSD's make' from 'ITP: bmake -- Portable version of NetBSD's make' Request was from Jeroen Schot <schot@A-Eskwadraat.nl> to control@bugs.debian.org. (Fri, 10 Aug 2012 09:45:08 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Jeroen Schot <schot@A-Eskwadraat.nl>. Request was from Jeroen Schot <schot@A-Eskwadraat.nl> to control@bugs.debian.org. (Fri, 10 Aug 2012 09:45:08 GMT) Full text and rfc822 format available.

Owner recorded as Andrew O. Shadura <bugzilla@tut.by>. Request was from Andrew O. Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Fri, 10 Aug 2012 09:51:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: bmake -- Portable version of NetBSD's make' from 'RFP: bmake -- Portable version of NetBSD's make' Request was from Andrew O. Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Fri, 10 Aug 2012 09:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#627983; Package wnpp. (Fri, 10 Aug 2012 10:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeroen Schot <schot@A-Eskwadraat.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andrew O. Shadura <bugzilla@tut.by>. (Fri, 10 Aug 2012 10:06:03 GMT) Full text and rfc822 format available.

Message #45 received at 627983@bugs.debian.org (full text, mbox):

From: Jeroen Schot <schot@A-Eskwadraat.nl>
To: control@bugs.debian.org
Cc: 627983@bugs.debian.org, "Andrew O. Shadoura" <bugzilla@tut.by>
Subject: RFP: bmake -- Portable version of NetBSD's make
Date: Fri, 10 Aug 2012 11:43:07 +0200
retitle 627983 RFP: bmake -- Portable version of NetBSD's make
noowner 627983
thanks


Hello,

I won't be packaging bmake at this time. 

Andrew, feel free to claim this RFP if you want to finish packaging
bmake.

Kind regards,

Jeroen Schot



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#627983; Package wnpp. (Sat, 17 Aug 2013 07:14:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andrew O. Shadura <bugzilla@tut.by>. (Sat, 17 Aug 2013 07:14:18 GMT) Full text and rfc822 format available.

Message #50 received at 627983@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 627983@bugs.debian.org
Cc: control@bugs.debian.org
Subject: bmake: changing back from ITP to RFP
Date: Sat, 17 Aug 2013 09:06:09 +0200
retitle 627983 RFP: bmake -- Portable version of NetBSD's make
noowner 627983
tag 627983 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging bmake. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of bmake back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in packaging bmake, please send a mail to
<control@bugs.debian.org> with:

 retitle 627983 ITP: bmake -- Portable version of NetBSD's make
 owner 627983 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <627983@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: bmake -- Portable version of NetBSD's make' from 'ITP: bmake -- Portable version of NetBSD's make' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:20:05 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Andrew O. Shadura <bugzilla@tut.by>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:20:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: bmake -- Portable version of NetBSD's make' from 'RFP: bmake -- Portable version of NetBSD's make' Request was from Andrew Shadura <andrewsh@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 09:06:15 GMT) Full text and rfc822 format available.

Owner recorded as Andrew Shadura <andrewsh@debian.org>. Request was from Andrew Shadura <andrewsh@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 09:06:16 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 22 Sep 2013 20:09:06 GMT) Full text and rfc822 format available.

Reply sent to Andrew Shadura <andrewsh@debian.org>:
You have taken responsibility. (Fri, 04 Oct 2013 04:03:05 GMT) Full text and rfc822 format available.

Notification sent to Jeroen Schot <schot@A-Eskwadraat.nl>:
Bug acknowledged by developer. (Fri, 04 Oct 2013 04:03:05 GMT) Full text and rfc822 format available.

Message #65 received at 627983-close@bugs.debian.org (full text, mbox):

From: Andrew Shadura <andrewsh@debian.org>
To: 627983-close@bugs.debian.org
Subject: Bug#627983: fixed in bmake 20130904-1
Date: Fri, 04 Oct 2013 04:00:07 +0000
Source: bmake
Source-Version: 20130904-1

We believe that the bug you reported is fixed in the latest version of
bmake, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627983@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Shadura <andrewsh@debian.org> (supplier of updated bmake package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 22 Sep 2013 16:07:33 +0200
Source: bmake
Binary: bmake pmake
Architecture: source i386 all
Version: 20130904-1
Distribution: unstable
Urgency: low
Maintainer: Andrew Shadura <andrewsh@debian.org>
Changed-By: Andrew Shadura <andrewsh@debian.org>
Description: 
 bmake      - NetBSD make
 pmake      - NetBSD make (transitional package)
Closes: 627983
Changes: 
 bmake (20130904-1) unstable; urgency=low
 .
   * Rename the package to bmake, add a transitional package (Closes: #627983).
   * New upstream release
Checksums-Sha1: 
 ce54923fa04e35696f7ed5760551fb357203f8da 1755 bmake_20130904-1.dsc
 07801d11d254d095d8320aa75a63aee83966645b 505508 bmake_20130904.orig.tar.gz
 d991756d2913fa8dcab900ce0086be9a5258da32 38694 bmake_20130904-1.debian.tar.gz
 a460df13377637f9d34957df3315e69c06bb5c14 272506 bmake_20130904-1_i386.deb
 2f10f203b045a3c92f37f9ce593b3293181f95a3 23176 pmake_20130904-1_all.deb
Checksums-Sha256: 
 479f5d416b56ae496c463f7285dd085cc09e0f43d3931539737f6c1a6e6590e9 1755 bmake_20130904-1.dsc
 b13e729507b9675603eb8d1391a6a9cc9d0ff5751cebd2a1e4a6987ecbbbb69b 505508 bmake_20130904.orig.tar.gz
 b650e2eb038a05de7f3c61298d386e947e448e880810386414563cb99562f78b 38694 bmake_20130904-1.debian.tar.gz
 11ef4c91e77657622d31352d3cad46c94a5649e475ed0d5ff3045949357ac8c6 272506 bmake_20130904-1_i386.deb
 4d4bf982692e389d1047f9169492b8d8fdf20b54047a3e8e4121d56ee1c65cbf 23176 pmake_20130904-1_all.deb
Files: 
 cafa1699a9ce76aa075adc23d56b6c95 1755 devel optional bmake_20130904-1.dsc
 c008f5ba16bcd69bc532490dfd84e58e 505508 devel optional bmake_20130904.orig.tar.gz
 1be173b490c3d66261d0a28ca1caf86a 38694 devel optional bmake_20130904-1.debian.tar.gz
 e2f6a324fc9696a6e7efa9d7b5c3d73b 272506 devel optional bmake_20130904-1_i386.deb
 3aae25a8b0aae9a8a5aab4e8c3d7161c 23176 devel optional pmake_20130904-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQIcBAEBCAAGBQJSPxjcAAoJEG6k0jEaLSaN9Z4P/31qLH6Xap6HNFvUYlaJ7Csv
0sE9GcRn2mXQJb+cEdBYwtnr2CaY/yPbLGvrNtE7lIt3SoeoAHsmuRilz8d0/0Ch
5nZvqGUbfIQJKur9VaHbDukiwkIQBq7pqvvD/Xy0SBM+FGRl3uwvSrgU6dVjhXsk
ZhqKDjdIM9ry5KqvvmVqh9vjYWnlOQVabM1uEoKRBEMldY64N53HEFzwPHWYQtuu
95wMn71O5SXnG9lPJ7PyrdVditJtGDIDUKOX2LBijRguwtjzhsVYEvlJS2s7R+lD
+VfNpMMdU25WDqP1O9KgdC67sB91nohJab+IhxabBs5XyhLS5Gb+DPnPSfEPYYoS
WXM9YnA57sjkkRq3vwxd5wIrpwnhi/nD0OufM4CbsvYFOAISs4PTDGGsq4oZnhCb
IdeVJwasf/VshWn+fdawhaxW1pvdbojjud8XrFRUdi7XaE5bMlGMGIXYdBktGlwk
VUiqfwrTlgAJ6DsBLN6Y4rsAC6MhF6ABGRFGOGfC7YO27Le9g7+/gBSc6wB70s9k
BchCzVnno3O2FYnVSnIRrONqtlYXKxBZsEO5EksuW5r76aD6z/ZpStK4pTZipTtn
lrQo7OFxIulWyGkMqjUa66PRRcZJ8533SZS9iMQeJQu4r9/qDemN5THbJezSp/SN
QZqDAOvmYx6DgtujoxYE
=jXlS
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 01 Nov 2013 07:32:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:15:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.